﻿using System;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using Verse;

namespace AndroidConversion
{
	// Token: 0x02000004 RID: 4
	public class AndroidModGroupDef : Def
	{
		// Token: 0x17000002 RID: 2
		// (get) Token: 0x0600000D RID: 13 RVA: 0x0000309C File Offset: 0x0000129C
		public IEnumerable<AndroidModDef> Upgrades
		{
			get
			{
				if (this.intCachedUpgrades == null)
				{
					this.intCachedUpgrades = new List<AndroidModDef>();
					foreach (AndroidModDef androidModDef in DefDatabase<AndroidModDef>.AllDefs)
					{
						if (androidModDef.modGroup == this)
						{
							this.intCachedUpgrades.Add(androidModDef);
						}
					}
				}
				return this.intCachedUpgrades;
			}
		}

		// Token: 0x0600000E RID: 14 RVA: 0x00003114 File Offset: 0x00001314
		public float calculateNeededHeight(Rect modSize, float rowWidth)
		{
			int num = (int)Math.Floor((double)(rowWidth / modSize.width));
			int num2 = this.Upgrades.Count((AndroidModDef mod) => mod.enabled);
			return modSize.height * (float)Math.Ceiling((double)num2 / (double)num);
		}

		// Token: 0x04000020 RID: 32
		public int orderID;

		// Token: 0x04000021 RID: 33
		[Unsaved(false)]
		private List<AndroidModDef> intCachedUpgrades;

		// Token: 0x04000022 RID: 34
		public bool physical;
	}
}
