﻿using System;
using UnityEngine;
using Verse;

namespace AndroidConversion
{
	// Token: 0x02000006 RID: 6
	[StaticConstructorOnStartup]
	public class Gizmo_AbortMod : Command
	{
		// Token: 0x06000013 RID: 19 RVA: 0x00003258 File Offset: 0x00001458
		public Gizmo_AbortMod(Building_ConversionChamber chamber)
		{
			this.modChamber = chamber;
			if (this.modChamber.IsPawnAndroid())
			{
				this.defaultLabel = Translator.Translate(this.labelAbortMod);
				this.defaultDesc = Translator.Translate(this.descriptionAbortMod);
			}
			else
			{
				this.defaultLabel = Translator.Translate(this.labelAbortConvert);
				this.defaultDesc = Translator.Translate(this.descriptionAbortConvert);
			}
			this.icon = Gizmo_AbortMod.initIcon;
		}

		// Token: 0x06000014 RID: 20 RVA: 0x00003310 File Offset: 0x00001510
		public override void ProcessInput(Event ev)
		{
			base.ProcessInput(ev);
			this.modChamber.EjectPawn();
		}

		// Token: 0x04000029 RID: 41
		public Building_ConversionChamber modChamber;

		// Token: 0x0400002A RID: 42
		public static Texture2D initIcon = ContentFinder<Texture2D>.Get("UI/Commands/PodEject", true);

		// Token: 0x0400002B RID: 43
		public string labelAbortMod = "AndroidGizmoAbortModLabel";

		// Token: 0x0400002C RID: 44
		public string labelAbortConvert = "AndroidGizmoAbortModLabel";

		// Token: 0x0400002D RID: 45
		public string descriptionAbortMod = "AndroidGizmoAbortModDescription";

		// Token: 0x0400002E RID: 46
		public string descriptionAbortConvert = "AndroidGizmoAbortModDescription";
	}
}
