﻿using System;
using UnityEngine;
using Verse;

namespace AndroidConversion
{
	// Token: 0x02000005 RID: 5
	[StaticConstructorOnStartup]
	public class Gizmo_StartMod : Command
	{
		// Token: 0x06000010 RID: 16 RVA: 0x00003178 File Offset: 0x00001378
		public Gizmo_StartMod(Building_ConversionChamber chamber)
		{
			this.modChamber = chamber;
			if (this.modChamber.IsPawnAndroid())
			{
				this.defaultLabel = Translator.Translate(this.labelInitMod);
				this.defaultDesc = Translator.Translate(this.descriptionInitMod);
			}
			else
			{
				this.defaultLabel = Translator.Translate(this.labelInitConvert);
				this.defaultDesc = Translator.Translate(this.descriptionInitConvert);
			}
			this.icon = Gizmo_StartMod.initIcon;
		}

		// Token: 0x06000011 RID: 17 RVA: 0x00003230 File Offset: 0x00001430
		public override void ProcessInput(Event ev)
		{
			base.ProcessInput(ev);
			this.modChamber.InitiatePawnModing();
		}

		// Token: 0x04000023 RID: 35
		public Building_ConversionChamber modChamber;

		// Token: 0x04000024 RID: 36
		public static Texture2D initIcon = ContentFinder<Texture2D>.Get("Icons/Widgets/vitruvian-man", true);

		// Token: 0x04000025 RID: 37
		public string labelInitMod = "AndroidGizmoInitModLabel";

		// Token: 0x04000026 RID: 38
		public string labelInitConvert = "AndroidGizmoInitConvertLabel";

		// Token: 0x04000027 RID: 39
		public string descriptionInitMod = "AndroidGizmoInitModDescription";

		// Token: 0x04000028 RID: 40
		public string descriptionInitConvert = "AndroidGizmoInitConvertDescription";
	}
}
