﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;

namespace AndroidConversion
{
	// Token: 0x0200000C RID: 12
	public class ModCommand_Hediff : ModCommand
	{
		// Token: 0x06000027 RID: 39 RVA: 0x0000355D File Offset: 0x0000175D
		public override bool Active(Pawn customTarget)
		{
			return this.def.hediffToApply != null && customTarget.health.hediffSet.hediffs.FirstOrDefault((Hediff target) => target.def == this.def.hediffToApply) != null;
		}

		// Token: 0x06000028 RID: 40 RVA: 0x00003594 File Offset: 0x00001794
		public override void Apply(Pawn customTarget)
		{
			if (customTarget == null)
			{
				Log.Error("customTarget is null! Impossible to add Hediffs without it.");
				return;
			}
			if (this.def.hediffToApply != null)
			{
				if (this.def.partsToApplyTo != null)
				{
					using (List<BodyPartGroupDef>.Enumerator enumerator = this.def.partsToApplyTo.GetEnumerator())
					{
						while (enumerator.MoveNext())
						{
							BodyPartGroupDef bodyPartGroupDef = enumerator.Current;
							foreach (BodyPartRecord bodyPartRecord in customTarget.health.hediffSet.GetNotMissingParts(0, BodyPartDepth.Outside, null, null))
							{
								if (bodyPartRecord.IsInGroup(bodyPartGroupDef) && (this.def.partsDepth == null || bodyPartRecord.depth == this.def.partsDepth))
								{
									Hediff hediff = HediffMaker.MakeHediff(this.def.hediffToApply, customTarget, bodyPartRecord);
									hediff.Severity = this.def.hediffSeverity;
									customTarget.health.AddHediff(hediff, null, null, null);
								}
							}
						}
						return;
					}
				}
				Hediff hediff2 = HediffMaker.MakeHediff(this.def.hediffToApply, customTarget, null);
				hediff2.Severity = this.def.hediffSeverity;
				customTarget.health.AddHediff(hediff2, null, null, null);
			}
		}

		// Token: 0x06000029 RID: 41 RVA: 0x0000370C File Offset: 0x0000190C
		public override void Remove(Pawn customTarget)
		{
			if (customTarget == null)
			{
				Log.Error("customTarget is null! Impossible to remove Hediffs without it.");
				return;
			}
			if (this.def.hediffToApply != null)
			{
				for (Hediff hediff = customTarget.health.hediffSet.hediffs.FirstOrDefault((Hediff target) => target.def == this.def.hediffToApply); hediff != null; hediff = customTarget.health.hediffSet.hediffs.FirstOrDefault((Hediff target) => target.def == this.def.hediffToApply))
				{
					customTarget.health.RemoveHediff(hediff);
				}
			}
		}

		// Token: 0x0600002A RID: 42 RVA: 0x00003789 File Offset: 0x00001989
		public override string GetExplanation()
		{
			StringBuilder stringBuilder = new StringBuilder();
			stringBuilder.Append(this.def.hediffToApply.ConcreteExample.TipStringExtra);
			return stringBuilder.ToString();
		}
	}
}
